Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Interface_Scope Class Reference

`#include <PSDL_Interface_Scope.h>`

Inheritance diagram for TAO_PSDL_Interface_Scope:

[legend]
Collaboration diagram for TAO_PSDL_Interface_Scope:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Interface_Scope (TAO_PSDL_Scope *parent_scope)
| ~TAO_PSDL_Interface_Scope (void)
int | add_interface (ACE_CString identifier)
int | add_struct (ACE_CString identifier)
int | add_typedef (ACE_CString identifier, ACE_CString identifier_type)
int | add_const_decl (ACE_CString identifier, ACE_CString identifier_type)
int | add_except_decl (ACE_CString identifier, ACE_CString identifier_type)
int | add_exception (ACE_CString identifier)
int | add_op_dcl (ACE_CString identifier)
void | dump (CORBA::ULong depth)
| Function to help indent the output of the parse tree. More...
int | find (const ACE_CString &identifier_name, ACE_CString &identifier_type)
| Function to find the TAO_PSDL_Scope for the given identifier_name. More...
int | find (const ACE_CString &identifier_name)
| Function to check if a particular identifier_name exists in the scope. More...
int | get_module_name (const ACE_CString &identifier_name, ACE_CString &module_name)
| To get the name of the module to which an identifier_name belongs. returns '0' on succes and '-1' on failure. More...
int | get_interface_name (const ACE_CString &identifier_name, ACE_CString &interface_name)
| To get the name of the interface to which an identifier_name belongs. returns '0' on succes and '-1' on failure. More...
TAO_PSDL_Scope * | parent_scope (void)
| Return the pointer to the parent scope. More...
Scope_Map * | scope_map (void)
| Return the pointer to Scope_Map of the instance. More...
ACE_CString | identifier_type (void)
| Each identifier will have an instance of a derived type of TAO_PSDL_Scope *.. the following method is an accessor to the type of the identifier name. More...
ACE_CString | module_name (void)
ACE_CString | interface_name (void)
## Private Attributes
Scope_Map | interface_scope_
TAO_PSDL_Scope * | parent_scope_
ACE_CString | identifier_type_
ACE_CString | module_name_
ACE_CString | interface_name_

## Constructor & Destructor Documentation

TAO_PSDL_Interface_Scope::TAO_PSDL_Interface_Scope | ( | TAO_PSDL_Scope * | parent_scope | ) |

TAO_PSDL_Interface_Scope::~TAO_PSDL_Interface_Scope | ( | void |  | ) |

## Member Function Documentation

int TAO_PSDL_Interface_Scope::add_const_decl | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::add_except_decl | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::add_exception | ( | ACE_CString | identifier | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::add_interface | ( | ACE_CString | interface_name | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::add_op_dcl | ( | ACE_CString | identifier | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::add_struct | ( | ACE_CString | struct_name | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::add_typedef | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

void TAO_PSDL_Interface_Scope::dump | ( | CORBA::ULong | depth | ) | `[virtual]`

| Function to help indent the output of the parse tree. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::find | ( | const ACE_CString & | identifier_name | ) | `[virtual]`

| Function to check if a particular identifier_name exists in the scope. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::find | ( | const ACE_CString & | identifier_name,
|  | ACE_CString & | identifier_type
| ) | `[virtual]`

| Function to find the TAO_PSDL_Scope for the given identifier_name. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::get_interface_name | ( | const ACE_CString & | identifier_name,
|  | ACE_CString & | interface_name
| ) | `[virtual]`

| To get the name of the interface to which an identifier_name belongs. returns '0' on succes and '-1' on failure. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Interface_Scope::get_module_name | ( | const ACE_CString & | identifier_name,
|  | ACE_CString & | module_name
| ) | `[virtual]`

| To get the name of the module to which an identifier_name belongs. returns '0' on succes and '-1' on failure. Reimplemented from TAO_PSDL_Scope.

ACE_CString TAO_PSDL_Interface_Scope::identifier_type | ( | void |  | ) | `[virtual]`

| Each identifier will have an instance of a derived type of TAO_PSDL_Scope *.. the following method is an accessor to the type of the identifier name. Reimplemented from TAO_PSDL_Scope.

ACE_CString TAO_PSDL_Interface_Scope::interface_name | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

ACE_CString TAO_PSDL_Interface_Scope::module_name | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

TAO_PSDL_Scope * TAO_PSDL_Interface_Scope::parent_scope | ( | void |  | ) | `[virtual]`

| Return the pointer to the parent scope. Reimplemented from TAO_PSDL_Scope.

Scope_Map * TAO_PSDL_Interface_Scope::scope_map | ( | void |  | ) | `[virtual]`

| Return the pointer to Scope_Map of the instance. Reimplemented from TAO_PSDL_Scope.

## Member Data Documentation

ACE_CString TAO_PSDL_Interface_Scope::identifier_type_`[private]`

ACE_CString TAO_PSDL_Interface_Scope::interface_name_`[private]`

| Reimplemented from TAO_PSDL_Scope.

Scope_Map TAO_PSDL_Interface_Scope::interface_scope_`[private]`

ACE_CString TAO_PSDL_Interface_Scope::module_name_`[private]`

TAO_PSDL_Scope* TAO_PSDL_Interface_Scope::parent_scope_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Interface_Scope.h
- PSDL_Interface_Scope.cpp